Skip to main content

Get all service requests

GEThttps://api.propexo.com/v1/service-requests/

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters​

order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
updated_at_gte string | null

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_lte string | null

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100
x_id string

The external ID from the integration vendor

location_id string

The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

unit_id string

The Propexo unique identifier for the unit

employee_id string

The Propexo unique identifier for the employee

vendor_id string

The Propexo unique identifier for the vendor

property_id string

The Propexo unique identifier for the property

integration_id string

The Propexo unique identifier for the integration

integration_vendor string
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_REST

The property management system of record

unit_number string

The unit number of the service request. When using this, the Propexo property_id filter must be added as well.

Response​

Successful response

    meta objectrequired
    offsetinteger

    The offset of the first result

    Possible values: >= 0

    Example: 0
    limitinteger

    The number of results to return

    Possible values: >= 0 and <= 250

    Example: 100
    orderBy object[]required

    The order of the results

  • Array [
  • object
  • ]
  • hasMoreboolean | nullnullable

    Whether there are more results

    totalinteger

    The total number of results

    Possible values: >= 0

    Example: 1000
    results object[]required
  • Array [
  • idstringrequired

    The Propexo unique identifier for the service request

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    InterfaceMethod
    Service RequestsGetServiceRequests
    Service RequestsGetServiceRequest_Search
    Example: 48291
    x_property_idstringrequired

    The external ID of the property from the integration vendor

    InterfaceMethod
    Service RequestsGetServiceRequests
    Service RequestsGetServiceRequest_Search
    Example: oakridge
    x_location_idnullrequired

    The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

    Notice

    This field will always be null for YARDI

    Example: null
    x_unit_idstring | nullnullablerequired

    The external ID of the unit from the integration vendor

    InterfaceMethod
    Service RequestsGetServiceRequests
    Service RequestsGetServiceRequest_Search
    Example: 312441
    x_sub_task_idnullrequired

    The external ID of the sub task from the integration vendor

    Notice

    This field will always be null for YARDI

    Example: null
    access_is_authorizedboolean | nullnullablerequired

    Whether or not the tenant has granted permission to enter the unit associated with the service request

    InterfaceMethod
    Service RequestsGetServiceRequests
    Service RequestsGetServiceRequest_Search
    Example: true
    access_notesnullrequired

    Notes regarding access to the unit associated with the service request

    Notice

    This field will always be null for YARDI

    Example: null
    buildingnullrequired

    The building name associated with the service request

    Notice

    This field will always be null for YARDI

    Example: null
    completion_notesnullrequired

    Closing notes associated with the service request

    Notice

    This field will always be null for YARDI

    Example: null
    date_completedstring | nullnullablerequired

    The date the service request was completed

    InterfaceMethod
    Service RequestsGetServiceRequests
    Service RequestsGetServiceRequest_Search
    Example: 2024-06-18T00:00:00.000Z
    date_createdstring | nullnullablerequired

    The date the service request was created

    InterfaceMethod
    Service RequestsGetServiceRequests
    Service RequestsGetServiceRequest_Search
    Example: 2024-06-12T00:00:00.000Z
    date_duenullrequired

    The due date associated with the service request

    Notice

    This field will always be null for YARDI

    Example: null
    date_schedulednullrequired

    The date the service request is scheduled

    Notice

    This field will always be null for YARDI

    Example: null
    notesnullrequireddeprecated

    DEPRECATED: Please use 'history' for reading notes regarding the service request

    Notice

    This field will always be null for YARDI

    Example: null
    service_categorystring | nullnullablerequired

    The category of service request

    InterfaceMethod
    Service RequestsGetServiceRequests
    Service RequestsGetServiceRequest_Search
    Example: Plumbing
    service_descriptionstring | nullnullablerequired

    A description of the service request

    InterfaceMethod
    Service RequestsGetServiceRequests
    Service RequestsGetServiceRequest_Search
    Example: Kitchen sink is leaking under the cabinet
    service_detailsstring | nullnullablerequired

    Details about the service request

    InterfaceMethod
    Service RequestsGetServiceRequests
    Service RequestsGetServiceRequest_Search
    Example: Water pools under the cabinet when the faucet runs
    service_prioritystring | nullnullablerequired

    The priority level associated with the service request

    InterfaceMethod
    Service RequestsGetServiceRequests
    Service RequestsGetServiceRequest_Search
    Example: Medium
    status_rawstring | nullnullablerequired

    The raw status associated with the service request

    InterfaceMethod
    Service RequestsGetServiceRequests
    Service RequestsGetServiceRequest_Search
    Example: In Progress
    vendor_notesstring | nullnullablerequired

    Vendor/technician notes associated with the service request

    InterfaceMethod
    Service RequestsGetServiceRequests
    Service RequestsGetServiceRequest_Search
    Example: Shutoff valve is behind the dishwasher
    unit_numberstring | nullnullablerequired

    The unit number associated with the service request. This isn't always provided by PMS vendors, but may be the only data provided to identify a unit associated with a service request in some cases.

    InterfaceMethod
    Service RequestsGetServiceRequests
    Service RequestsGetServiceRequest_Search
    Example: 102
    order_numbernullrequired

    The order number of the service request

    Notice

    This field will always be null for YARDI

    Example: null
    integration_idstringrequired

    The Propexo unique identifier for the integration

    Example: clwh5u07w000508me66sfh3um
    integration_vendorEnum24required

    The property management system of record

    Show 13 enum values
    YARDIAPPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDI_REST
    Example: YARDI
    property_idstringrequired

    The Propexo unique identifier for the property

    Example: clwi5xiix000008l6ctdgafyh
    unit_idstring | nullnullablerequired

    The Propexo unique identifier for the unit

    InterfaceMethod
    Service RequestsGetServiceRequests
    Service RequestsGetServiceRequest_Search
    Example: cl8k2nqwe0002jsxq9ab1c2df
    employee_idnullrequired

    The Propexo unique identifier for the employee

    Notice

    This field will always be null for YARDI

    Example: null
    vendors object[]required

    List of vendor IDs associated with the service request

    Notice

    This field is not currently hydrated for YARDI

  • Array [
  • vendor_idstringrequired
  • ]
  • history object[]required

    History of notes and/or updates related to the service request

  • Array [
  • idstringrequired

    The Propexo unique identifier for the service request history

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstringrequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    InterfaceMethod
    Service RequestsGetServiceRequests
    Service RequestsGetServiceRequest_Search
    Example: cl8k2nqwe0012jsxq9ab1c2dp
    x_created_atstring | nullnullablerequired

    The date the record first entered the integration vendor

    InterfaceMethod
    Service RequestsGetServiceRequests
    Service RequestsGetServiceRequest_Search
    Example: 2024-06-12T09:15:00.000Z
    notesstringrequired

    Notes describing the service request history

    InterfaceMethod
    Service RequestsGetServiceRequests
    Service RequestsGetServiceRequest_Search
    Example: Work Completed
    creator_namenullrequired

    The name of the person or user that created the service request history

    Notice

    This field will always be null for YARDI

    Example: null
    status_rawstring | nullnullablerequired

    The raw status from the service request history

    InterfaceMethod
    Service RequestsGetServiceRequests
    Service RequestsGetServiceRequest_Search
    Example: Work Completed
    service_request_idstringrequired

    The Propexo unique identifier for the service request

    InterfaceMethod
    Service RequestsGetServiceRequests
    Service RequestsGetServiceRequest_Search
    Example: cl8k2nqwe0009jsxq9ab1c2dm
  • ]
  • employees object[]required

    An array of all employees assigned to the service request

  • Array [
  • idstringrequired

    The Propexo unique identifier for the employee

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    InterfaceMethod
    Service RequestsGetCustomValues2
    ILS Guest CardGetYardiAgentsSourcesResults_Login
    Example: marksplumbing
    namestring | nullnullablerequired

    The name associated with the employee

    InterfaceMethod
    Service RequestsGetCustomValues2
    ILS Guest CardGetYardiAgentsSourcesResults_Login
    Example: Mark's Plumbing
  • ]
  • ]

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /v1/service-requests/
curl https://api.propexo.com/v1/service-requests/ \
-H "Authorization: Bearer <token>"
200 Successful response
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "48291",
"x_property_id": "oakridge",
"x_location_id": null,
"x_unit_id": "312441",
"x_sub_task_id": null,
"access_is_authorized": true,
"access_notes": null,
"building": null,
"completion_notes": null,
"date_completed": "2024-06-18T00:00:00.000Z",
"date_created": "2024-06-12T00:00:00.000Z",
"date_due": null,
"date_scheduled": null,
"service_category": "Plumbing",
"service_description": "Kitchen sink is leaking under the cabinet",
"service_details": "Water pools under the cabinet when the faucet runs",
"service_priority": "Medium",
"status_raw": "In Progress",
"vendor_notes": "Shutoff valve is behind the dishwasher",
"unit_number": "102",
"order_number": null,
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "YARDI",
"property_id": "clwi5xiix000008l6ctdgafyh",
"unit_id": "cl8k2nqwe0002jsxq9ab1c2df",
"employee_id": null,
"vendors": [
{
"vendor_id": "string"
}
],
"history": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "cl8k2nqwe0012jsxq9ab1c2dp",
"x_created_at": "2024-06-12T09:15:00.000Z",
"notes": "Work Completed",
"creator_name": null,
"status_raw": "Work Completed",
"service_request_id": "cl8k2nqwe0009jsxq9ab1c2dm"
}
],
"employees": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "marksplumbing",
"name": "Mark's Plumbing"
}
]
}
]
}